> For the complete documentation index, see [llms.txt](https://lendbox.gitbook.io/lendbox/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://lendbox.gitbook.io/lendbox/api-integration/rest-api.md).

# REST API

**How to Use the Lendbox API**

Using the Lendbox API requires following some basic steps:

1. **API Access & Key:**
   * Register for an API key from your Lendbox account dashboard by navigating to the  API Integrations page from the left navigation panel..
   * Keep your API key secure, as this will authenticate your requests.
2. **EndPoint Structure:**
   * Familiarize yourself with the endpoint structure.
   * API URLs will typically follow this format:

     ```
     https://api.lendbox.io/[resource]
     ```
3. **API Documentation**

   The full documentation of all the API endpoints can be found at the following [link](https://api.lendbox.io/docs).&#x20;
4. **Making Requests:**
   * Use standard HTTP methods (GET, POST, PATCH, PUT, DELETE) based on the action you intend to perform.
   * E.G., To create a new borrower:

     ```bash
     POST https://api.lendbox.io/borrowers
     Content-Type: application/json
     Authorization: Bearer your_api_key

     {
     "branchId": "branch-123",
     "firstName": "John",
     "lastName": "Doe",
     "gender": "male"
     }
     ```
5. **Handling Responses:**
   * API responses will be returned in JSON format.
   * Error handling and data validation should be built into your application to gracefully handle responses.

Now you’re ready to start building by accessing our API documentation section below. Let our resources guide you through step-by-step integrations!

The full documentation of all the API endpoints can be found at the following [link](https://api.lendbox.io/docs).&#x20;
